Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations.email.formatting
Class JspEmailTextFormatterUtil.InvitationDetailCacheEntry

    java.lang.Object
      com.bea.netuix.application.communities.invitations.email.formatting.JspEmailTextFormatterUtil.InvitationDetailCacheEntry

Enclosing class:
  JspEmailTextFormatterUtil

    public static class JspEmailTextFormatterUtil.InvitationDetailCacheEntry

extends Object

Represents a set of information regarding the current invitation operation, including the `InvitationDetails`, the `Invitee` and the Community Url String.

Constructor Summary
`JspEmailTextFormatterUtil.InvitationDetailCacheEntry(InvitationDetails invitationDetails, Invitee invitee, String communityURL)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getCommunityURL()`
`InvitationDetails` | `getInvitationDetails()`
`Invitee` | `getInvitee()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspEmailTextFormatterUtil.InvitationDetailCacheEntry

    public JspEmailTextFormatterUtil.InvitationDetailCacheEntry(InvitationDetails invitationDetails,
                                                                Invitee invitee,
                                                                String communityURL)

Method Detail

### getInvitationDetails

    public InvitationDetails getInvitationDetails()

### getInvitee

    public Invitee getInvitee()

### getCommunityURL

    public String getCommunityURL()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.